From d4f55d42fda50bd7934e037adfa35fcde1a5732d Mon Sep 17 00:00:00 2001
From: Paolo Bacchilega <paobac@src.gnome.org>
Date: Sat, 1 Jul 2017 19:30:41 +0200
Subject: grid view: make the emblems more visible using a white background

---
 gthumb/gth-grid-view.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/gthumb/gth-grid-view.c b/gthumb/gth-grid-view.c
index ba5846a..7941109 100644
--- gthumb/gth-grid-view.c
+++ gthumb/gth-grid-view.c
@@ -1557,17 +1557,19 @@ _gth_grid_view_item_draw_emblems (GthGridViewItem *item,
 		icon = g_themed_icon_new (emblem);
 		image = gth_icon_cache_get_surface (grid_view->priv->icon_cache, icon);
 		if (image != NULL) {
-			cairo_set_source_surface (cr, image, item->thumbnail_area.x + emblem_offset + 1, item->thumbnail_area.y + 1);
 			cairo_rectangle (cr,
 					 item->thumbnail_area.x + emblem_offset + 1,
 					 item->thumbnail_area.y + 1,
 					 cairo_image_surface_get_width (image),
 					 cairo_image_surface_get_height (image));
+			cairo_set_source_rgb (cr, 1.0, 1.0, 1.0);
+			cairo_fill_preserve (cr);
+			cairo_set_source_surface (cr, image, item->thumbnail_area.x + emblem_offset + 1, item->thumbnail_area.y + 1);
 			cairo_fill (cr);
 
 			cairo_surface_destroy (image);
 
-			emblem_offset += EMBLEM_SIZE + (EMBLEM_SIZE / 2);
+			emblem_offset += EMBLEM_SIZE;
 		}
 
 		g_object_unref (icon);
-- 
cgit v0.12

